org.icefaces.ace.util

## Class DeferredLocaleFacesMessage

- java.lang.Object
- - javax.faces.application.FacesMessage
  - - org.icefaces.ace.util.DeferredLocaleFacesMessage

- All Implemented Interfaces:
    java.io.Serializable

      public class DeferredLocaleFacesMessage
      extends javax.faces.application.FacesMessage

  FacesMessage objects created by the FileEntry can exist before there is a UIViewRoot, and so before there is a Locale. Additionally, if the application changes the Locale during the lifecycle, then it would be best for render-time evaluation of the Locale and therefore the message bundles and their formatting.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.application.FacesMessage

      `javax.faces.application.FacesMessage.Severity`

  - ### Field Summary

    - ### Fields inherited from class javax.faces.application.FacesMessage

      `FACES_MESSAGES, SEVERITY_ERROR, SEVERITY_FATAL, SEVERITY_INFO, SEVERITY_WARN, VALUES, VALUES_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeferredLocaleFacesMessage(javax.faces.application.FacesMessage.Severity sev, java.lang.String messageId, boolean isKeyForResourceBundle, java.lang.Object[] params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDetail()`
    `java.lang.String` | `getSummary()`

    - ### Methods inherited from class javax.faces.application.FacesMessage

      `getSeverity, isRendered, rendered, setDetail, setSeverity, setSummary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeferredLocaleFacesMessage

          public DeferredLocaleFacesMessage(javax.faces.application.FacesMessage.Severity sev,
                                            java.lang.String messageId,
                                            boolean isKeyForResourceBundle,
                                            java.lang.Object[] params)

  - ### Method Detail

    - #### getSummary

          public java.lang.String getSummary()

      Overrides:
        `getSummary` in class `javax.faces.application.FacesMessage`

    - #### getDetail

          public java.lang.String getDetail()

      Overrides:
        `getDetail` in class `javax.faces.application.FacesMessage`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.